# $Revision: 1.18 $, $Date: 2010/12/04 14:06:29 $
%include	/usr/lib/rpm/macros.perl
Summary:	Icon naming utility
Summary(pl.UTF-8):	Narzędzie do nadawania nazw ikonom
Name:		icon-naming-utils
Version:	0.8.90
Release:	1
License:	GPL
Group:		Applications
Source0:	http://tango.freedesktop.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	dd8108b56130b9eedc4042df634efa66
Patch0:		%{name}-paths.patch
URL:		http://tango.freedesktop.org/Standard_Icon_Naming_Specification
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	perl-XML-Simple
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# noarch
%define		_pkgconfigdir	%{_datadir}/pkgconfig

%description
This utility maps the icon names used by the GNOME and KDE desktops to
the icon names proposed in the Icon Naming Specification.

%description -l pl.UTF-8
Narzędzie to adaptuje nazwy ikon używanych przez środowiska GNOME i
KDE do nazw zaproponowanych w standardzie Icon Naming Specification.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: icon-naming-utils.spec,v $
Revision 1.18  2010/12/04 14:06:29  atler
- updated to: 0.8.90

Revision 1.17  2008/06/15 14:34:01  megabajt
- updated to 0.8.7

Revision 1.16  2007/08/28 07:40:11  megabajt
- updated to 0.8.6

Revision 1.15  2007/02/25 00:15:26  megabajt
- updated to 0.8.2

Revision 1.14  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.12  2006/08/21 21:10:39  freetz
- 0.8.1

Revision 1.11  2006/08/08 18:50:06  freetz
- 0.8.0

Revision 1.10  2006/07/25 16:09:26  freetz
- 0.7.4

Revision 1.9  2006/07/12 17:17:49  freetz
- 0.7.3, source download url update

Revision 1.8  2006/05/10 21:36:07  freetz
- 0.7.2

Revision 1.7  2006/04/15 22:04:23  qboosh
- removed pkgconfigdir change from paths patch, really noarch now

Revision 1.6  2006/03/21 17:06:16  czarny
- up to 0.7.1

Revision 1.5  2006/02/18 13:47:19  freetz
- 0.7.0

Revision 1.4  2006/02/05 08:50:02  freetz
- 0.6.7

Revision 1.3  2006/01/24 10:33:57  qboosh
- pkgconfig is not required to use this package

Revision 1.2  2006/01/23 10:49:15  qboosh
- typos

Revision 1.1  2006/01/22 21:40:44  freetz
- initial
